[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#299792: lintian: Check multiple "Depends:" lines in control



Package: lintian
Version: 1.23.8
Severity: minor

Having multiple "Depends:" lines in control file confuses apt/dpkg. This
results in "apt-get upgrade" downloading and installing the offending
package everytime it is run, no matter package or version has changed.

It would be very usefull lintian to detect this problem.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.4.27-1-686
Locale: LANG=es_ES.UTF-8@euro, LC_CTYPE=es_ES.UTF-8@euro (charmap=UTF-8)

Versions of packages lintian depends on:
ii  binutils                   2.15-5        The GNU assembler, linker
and bina
ii  diffstat                   1.35-1        produces graph of changes
introduc
ii  file                       4.12-1        Determines file type using
"magic"
ii  gettext                    0.14.1-10     GNU Internationalization
utilities
ii  intltool-debian            0.30+20040213 Help i18n of RFC822
compliant conf
ii  man-db                     2.4.2-21      The on-line manual pager
ii  perl [libdigest-md5-perl]  5.8.4-6       Larry Wall's Practical
Extraction

-- no debconf information




Reply to: